set CMSDK_KSM_BASE            0x4000a000
set CMSDK_KSM_CTRL0 [expr $CMSDK_KSM_BASE + 0x0]
set CMSDK_KSM_TIME_PARAM0 [expr $CMSDK_KSM_BASE + 0x4]
set CMSDK_KSM_TIME_PARAM1 [expr $CMSDK_KSM_BASE + 0x8]
set CMSDK_KSM_MATRIX_SIZE [expr $CMSDK_KSM_BASE + 0xc]
set CMSDK_KSM_KEYBOARD_PACKET [expr $CMSDK_KSM_BASE + 0x40]
set CMSDK_KSM_LOW_POWER [expr $CMSDK_KSM_BASE + 0x44]
set CMSDK_KSM_LPBACK_KSI [expr $CMSDK_KSM_BASE + 0x58]
set CMSDK_KSM_STATUS [expr $CMSDK_KSM_BASE + 0x80]
set CMSDK_KSM_INTERRUPTS [expr $CMSDK_KSM_BASE + 0xc0]
set CMSDK_KSM_INTERRUPT_MASK [expr $CMSDK_KSM_BASE + 0xc4]
set CMSDK_KSM_INTERRUPT_CLEAR [expr $CMSDK_KSM_BASE + 0xc8]
set CMSDK_KSM_DEBUG [expr $CMSDK_KSM_BASE + 0xff4]
set CMSDK_KSM_DEBUG2 [expr $CMSDK_KSM_BASE + 0xff8]
set CMSDK_KSM_CORE_ID [expr $CMSDK_KSM_BASE + 0xffc]
